<!--
  Generated template for the ProfilePage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar color="primary">
    <ion-title style="text-align: center">Profile</ion-title>
  </ion-navbar>

</ion-header >


<ion-content padding class="home-background">
    <ion-grid>
     <ion-row>
        <ion-col col-8>
           <ion-item class= "home_button" *ngFor="let device of devices">
              <ion-label stacked style="font-size: 20px">Device Name: </ion-label>
              <ion-input type="text" style="font-size: 20px" placeholder="{{device.name}}"  [(ngModel)] = "editedDeviceName"> </ion-input>
           </ion-item>
        </ion-col>  
        <ion-col col-4>
          <button color="secondary" class="save_button"  ion-button full (click)="updateName()" style="font-size: 16px; height: 90%"> Save Name</button>
      </ion-col>
     </ion-row>
    </ion-grid>

    <ion-grid>
        <ion-row>
          <ion-col col-8>
        <ion-item class= "home_button">
          <ion-label  stacked style="font-size: 20px">Phone Number 1:</ion-label>
              <ion-input type="text" style="font-size: 20px" [(ngModel)] = "editedPhone1"></ion-input>
             
        </ion-item>
      </ion-col>  
      <ion-col col-4>
        <button color="secondary" class="save_button" ion-button full (click)="updatePhone1()" style="font-size: 16px; height: 90%" > Save Phone 1</button>
       
      </ion-col>
    </ion-row>
   </ion-grid>

   <ion-grid>
      <ion-row>
        <ion-col col-8 >
        <ion-item class= "home_button">
            <ion-label stacked style="font-size: 20px">Phone Number 2:</ion-label>
              <ion-input type="text" style="font-size: 20px" [(ngModel)] = "editedPhone2"></ion-input>
            
        </ion-item>
      </ion-col>  
      <ion-col col-4  >
          <button color="secondary" class="save_button"  ion-button full (click)="updatePhone2()" style="font-size: 16px; height: 90%" > Save Phone 2</button>
  
      </ion-col>
    </ion-row>
  </ion-grid>
       
     
</ion-content>
<!-- <ion-footer style="height: 10%">

    <button color="secondary" ion-button full  style="font-size: 20px; height: 60px"> Save</button>
</ion-footer> -->
